## golang-1.9 1.9.1

=== debian/changelog ===
golang-1.9 (1.9.1-2) unstable; urgency=medium

  * Update debian/copyright (Closes: #873740)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 09 Oct 2017 18:03:49 +0200

golang-1.9 (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Use my @debian.org address in Uploaders.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 06 Oct 2017 13:04:46 +1300

golang-1.9 (1.9-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * New upstream release.
  * Suppress some new lintian errors in golang-1.9-src.

  [ Michael Stapelberg ]
  * Add debian/patches/0002-reproducible-BUILD_PATH_PREFIX_MAP.patch

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 30 Aug 2017 16:31:09 +1200

golang-1.8 (1.8.3-1) unstable; urgency=medium

  * New upstream release. (Closes: 863292, 863307)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 01 Jun 2017 21:06:00 +1200

golang-1.8 (1.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 10 Apr 2017 13:29:28 +1200

golang-1.8 (1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 02 Mar 2017 10:11:55 +1300

golang-1.8 (1.8~rc3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 27 Jan 2017 10:23:56 +1300

golang-1.8 (1.8~rc2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 20 Jan 2017 12:15:27 +1300

golang-1.8 (1.8~rc1-1) unstable; urgency=medium

  * New upstream release. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 16 Jan 2017 15:51:54 +1300

golang-1.8 (1.8~beta2-1) unstable; urgency=medium

  * New upstream release. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 20 Dec 2016 14:19:55 +1300

golang-1.8 (1.8~beta1-1) unstable; urgency=medium

  * New upstream release.
  * Remove d/patches/cl-29995--tzdata-2016g.patch, included upstream. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Dec 2016 17:38:57 -0800

golang-1.7 (1.7.4-1) unstable; urgency=medium

  * Update to 1.7.4 upstream release (Closes: #846545)
    - https://groups.google.com/d/topic/golang-announce/2lP5z9i9ySY/discussion
    - https://golang.org/issue/17965 (potential DoS vector in net/http)
    - https://github.com/golang/go/compare/go1.7.3...go1.7.4

 -- Tianon Gravi <tianon@debian.org>  Fri, 02 Dec 2016 13:30:36 -0800

golang-1.7 (1.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Delete d/patches/cl-28850.patch, applied upstream. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 20 Oct 2016 09:10:47 +1300

golang-1.7 (1.7.1-3) unstable; urgency=medium

  * Backport CL 29995 for tzdata 2016g changes (Closes: #839317)

 -- Tianon Gravi <tianon@debian.org>  Mon, 03 Oct 2016 15:12:28 -0700

golang-1.7 (1.7.1-2) unstable; urgency=medium

  * Add upstream patch for s390x FTBFS

 -- Tianon Gravi <tianon@debian.org>  Mon, 12 Sep 2016 09:32:10 -0700

golang-1.7 (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable tests on s390x now that gcc-6 has been fixed in unstable. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Sep 2016 13:04:33 +1200

golang-1.7 (1.7-3) unstable; urgency=medium

  * Add "s390x" to Architectures

 -- Tianon Gravi <tianon@debian.org>  Tue, 23 Aug 2016 07:35:16 -0700

golang-1.7 (1.7-2) unstable; urgency=medium

  * Disable tests on armel.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Aug 2016 15:18:07 +1200

golang-1.7 (1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Aug 2016 11:37:34 +1200

golang-1.7 (1.7~rc4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 02 Aug 2016 15:10:22 +1200

golang-1.7 (1.7~rc3-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Remove outdated README files (README.source and README.Debian)

  [ Michael Hudson-Doyle ]
  * New upstream release.
  * Suppress inaccurate source-is-missing lintian warnings. 
  * Update Standards-Version to 3.9.8 (no changes required). 

 -- Tianon Gravi <tianon@debian.org>  Mon, 11 Jul 2016 18:31:57 -0700

golang-1.7 (1.7~rc2-1) unstable; urgency=medium

  * Update to 1.7rc2 upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 19 Jul 2016 14:40:14 +1200

golang-1.7 (1.7~rc1-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Tianon Gravi ]
  * Update to 1.7rc1 upstream release (new packages, not used by default; see
    also src:golang-defaults)
  * Update Vcs-Git to reference a particular branch

 -- Tianon Gravi <tianon@debian.org>  Mon, 11 Jul 2016 16:10:12 -0700

golang-1.6 (1.6.2-2) unstable; urgency=medium

  * Update "golang-any" in "Build-Depends" to fallback to "golang-go | gccgo"
    (will help with backporting)

 -- Tianon Gravi <tianon@debian.org>  Thu, 23 Jun 2016 20:01:00 -0700

golang-1.6 (1.6.2-1) unstable; urgency=medium

  * Update to 1.6.2 upstream release (Closes: #825696)
  * Build-Depend on golang-any instead of golang-go (Closes: #824421)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 03 Jun 2016 07:50:44 -0700

golang-1.6 (1.6.1-1) unstable; urgency=medium

  * Build golang version-specific packages (Closes: #818415)
  * Things that (conceptually at least) move to new golang version independent
    golang-defaults source package:
    - Man pages.
    - Suggesting golang-golang-x-tools.
    - Breaks/Replace-ing of old golang-go-$GOOS-$GOARCH packages.
  * Stop using alternatives to manage /usr/bin/go.
  * sed trickery in debian/rules to support easy changes to new golang versions.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 01 Jun 2016 10:04:53 -0700

golang (2:1.6.1-2) unstable; urgency=medium


