## golang-1.9 1.9.2

=== debian/changelog ===
golang-1.9 (1.9.2-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 26 Oct 2017 16:06:41 +1300

golang-1.9 (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2
  * Work around debhelper bug #879762

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 26 Oct 2017 13:46:40 +1300

golang-1.9 (1.9.1-2ubuntu1) artful; urgency=medium

  * Re-apply Ubuntu changes on autosync from Debian unstable:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 10 Oct 2017 09:13:42 +1300

golang-1.8 (1.8.3-1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.
    - Backport d/patches/cl-40401--more-robust-ABI-hash.patch from upstream to
      make the ABIs of shared libraries slightly more robust.
    - Backport d/patches/i386-shlib-fix.patch from upstream to fix a problem
      with shared libraries on i386.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Jun 2017 14:04:12 -0700

golang-1.8 (1.8.1-1ubuntu3) artful; urgency=medium

  * Backport d/patches/i386-shlib-fix.patch from upstream to fix a problem
    with shared libraries on i386.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 02 May 2017 09:55:44 +1200

golang-1.8 (1.8.1-1ubuntu2) artful; urgency=medium

  * Backport d/patches/cl-40401--more-robust-ABI-hash.patch from upstream to
    make the ABIs of shared libraries slightly more robust.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 24 Apr 2017 09:42:50 +1200

golang-1.8 (1.8.1-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 10 Apr 2017 16:40:45 +1200

golang-1.8 (1.8-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 02 Mar 2017 21:22:35 +1300

golang-1.8 (1.8~rc3-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 17 Jan 2017 13:56:08 +1300

golang-1.8 (1.8~rc1-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 17 Jan 2017 13:56:08 +1300

golang-1.8 (1.8~beta2-1ubuntu1) zesty; urgency=medium

  * Re-apply Ubuntu changes on auto-sync from Debian unstable:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 20 Dec 2016 14:19:55 +1300

golang-1.7 (1.7.3-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 20 Oct 2016 09:25:40 +1300

golang-1.7 (1.7.1-2ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 13 Sep 2016 19:48:12 +1200

golang-1.7 (1.7-2ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).
    - Build on s390x.
    - Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 18 Aug 2016 10:53:14 +1200

golang-1.7 (1.7~rc3-1ubuntu3) yakkety; urgency=medium

  * Build Go standard library into a shared library.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 24 Jul 2016 22:41:47 +1200

golang-1.7 (1.7~rc3-1ubuntu2) yakkety; urgency=medium

  * Reenable building on s390x.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 24 Jul 2016 22:49:37 +1200

golang-1.7 (1.7~rc3-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).


