=== debian/watch ===
#
# WARNING: "debian/watch" is generated via "debian/rules gencontrol" (sourced from "debian/watch.in")
#
version=3
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
 http://golang.org/dl/ .*/go(1.9\S*)\.src\.tar\.gz
