## golang-1.9 1.9.3

=== debian/changelog ===
golang-1.9 (1.9.3-1+rpi1) buster-staging; urgency=medium

  [changes brought forward from 1.9.2-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 08 Nov 2017 00:15:02 +0000]
  * Build with goarm=6
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 08 Feb 2018 12:54:04 +0000

golang-1.9 (1.9.3-1) unstable; urgency=medium

  * New upstream version.
    - d/patches/0003-Do-not-use-SP-as-index-reg.patch: remove, included upstream.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 30 Jan 2018 15:01:08 +1300

golang-1.9 (1.9.2-4) unstable; urgency=medium

  * Enable building on mips, mipsel and mips64. (Closes: 879764)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 08 Dec 2017 14:09:24 +1300

golang-1.9 (1.9.2-3) unstable; urgency=medium

  * Remove workaround for now fixed debhelper bug #879762
  * Backport three patches from upstream to fix ftbfs on ppc64el with new kernel.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 31 Oct 2017 12:16:17 +1300

golang-1.9 (1.9.2-2) unstable; urgency=medium

  [ Martín Ferrari ]
  * Add debian/patches/0003-Do-not-use-SP-as-index-reg.patch (Closes: #877541)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 27 Oct 2017 08:55:32 +0200
