## golang-1.9 1.9.4

=== debian/changelog ===
golang-1.9 (1.9.4-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Feb 2018 10:52:06 +1300

golang-1.9 (1.9.4-1) unstable; urgency=medium

  * New upstream version, fixing CVE-2018-6574.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 08 Feb 2018 10:38:27 +1300

golang-1.9 (1.9.3-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 31 Jan 2018 14:54:08 +1300

golang-1.9 (1.9.2-3ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining change: 
    - Do not distribute un-built from source race detector runtime files and
      recommend golang-race-detector-runtime instead (see Debian bug #807455).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 31 Oct 2017 13:21:14 +1300
