=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #
 # WARNING: "debian/control" is generated via "debian/rules gencontrol" (sourced from "debian/control.in")
 #
+
 Source: golang-1.9
 Section: devel
 Priority: optional
@@ -19,7 +20,7 @@
 Homepage: https://golang.org
 
 Package: golang-1.9-go
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el s390x
 Depends: golang-1.9-src (>= ${source:Version}),
          ${misc:Depends},
          ${perl:Depends},
@@ -47,7 +48,7 @@
  pre-compile the standard library inside GOROOT for cross-compilation to work.
 
 Package: golang-1.9-src
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Go programming language - source files
  The Go programming language is an open source project to make programmers more
